Bug 253884 - xen tools - blktap outputs unaligned access error
xen tools - blktap outputs unaligned access error
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
:
Depends On:
Blocks: 246258 409971 448899
  Show dependency treegraph
 
Reported: 2007-08-22 13:14 EDT by Flavio Leitner
Modified: 2010-10-22 14:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:13:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch from http:/ /xenbits.xensource.com/xen-unstable.hg?rev/ad9a79db3839 (800 bytes, patch)
2007-08-22 13:14 EDT, Flavio Leitner
no flags Details | Diff

  None (edit)
Description Flavio Leitner 2007-08-22 13:14:32 EDT
Summary:
 [5.1][Xen][TOOL] blktap outputs unaligned access error

Version-Release number of selected component:
 RHEL5.1

Drivers or hardware or archtecture dependency:
 x86, ia64

Description of Problem:
 blktap shows unaligned access error

How reproducible:
 Always

Step to Reproduce:
 Boot Guest Domain with blktap

Actual Results:
 unaligned access messages are shown

Expected Results:
 unaligned access messages from blktap are not appeared

Hardware configuration:
Model: Tiger4
CPU: Itanium 2(Montecito)

Additional Info:
This problem is already fixed by following patch.
changeset: blktap: Fix unaligned access to blktap/tapdisk message payloads.
changeset 15669: ad9a79db3839
http:/ /xenbits.xensource.com/xen-unstable.hg?rev/ad9a79db3839

Patch applies straight on RHEL-5, attached here.
Comment 1 Flavio Leitner 2007-08-22 13:14:32 EDT
Created attachment 162279 [details]
Upstream patch from http:/ /xenbits.xensource.com/xen-unstable.hg?rev/ad9a79db3839
Comment 3 RHEL Product and Program Management 2007-10-15 23:45:32 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 RHEL Product and Program Management 2008-03-11 15:42:07 EDT
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.
Comment 5 RHEL Product and Program Management 2008-06-02 16:33:21 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 Daniel Berrange 2008-07-21 06:49:32 EDT
Built into xen-3.0.3-67.el5
Comment 9 Daniel Berrange 2008-07-21 07:29:49 EDT
Correction,  xen-3.0.3-68.el5
Comment 12 errata-xmlrpc 2009-01-20 16:13:26 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0118.html

Note You need to log in before you can comment on or make changes to this bug.